Bug 457925 - Review Request: biniax - A unique arcade logic game
Review Request: biniax - A unique arcade logic game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 10:55 EDT by Stefan Posdzich
Modified: 2008-12-12 04:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 13:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
biniax-1.2-optflags.patch (454 bytes, patch)
2008-10-18 16:50 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Stefan Posdzich 2008-08-05 10:55:02 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/biniax.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/biniax-1.2-1.fc9.src.rpm

Description:

Biniax is an original and unique arcade logic game.
It requires just a minute to learn the rules and 
you will get hours of gameplay.

--------

This is the classic biniax version.
There is also biniax 2, with more eye-candy and game modes.
I will submit biniax 2 as soon as the classic version is approved.
Comment 1 Orcan Ogetbil 2008-10-05 02:53:23 EDT
The package is in good condition. Some notes:
-------------------------------------------------------------------------
The line:
   dos2unix Readme.txt LICENSE.txt
is not necassary. You can use "sed" instead. See:
   http://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding
So you can remove dos2unix from BuildRequires
-------------------------------------------------------------------------
$RPM_OPT_FLAGS is not passed to gcc correctly. Hence the debuginfo package is not useful.
-------------------------------------------------------------------------
Please be consistent with macros. e.g. in the spec file there is
   cp -ra data/* %{buildroot}%{_datadir}/biniax/data
in one line and
   %{_datadir}/%{name}
on the other.
-------------------------------------------------------------------------
It would be nice if you can make the desktop file richer. Please see:
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
At least, have those fields that are given in that example full.
For instance "Name:Biniax" (mind the capital letter) would look nicer.
-------------------------------------------------------------------------
Summary: An unique ...
should be
Summary: A unique ...
-------------------------------------------------------------------------
The game does not exit properly. I have to kill the process in order to exit the game.
Is this because of your patch?
Comment 2 Stefan Posdzich 2008-10-10 10:58:40 EDT
Thanks for your reply!
I will look at your points soon and, maybe, fix them / comment.
Comment 3 Robert Scheck 2008-10-18 16:40:58 EDT
My english is maybe worse, but I would say "A unique" because the "u" is 
pronounced as "j" so just "a" not "an", right? Sorry... ;-)
Comment 5 Robert Scheck 2008-10-18 16:50:06 EDT
Created attachment 320769 [details]
biniax-1.2-optflags.patch
Comment 6 Stefan Posdzich 2008-10-18 17:31:04 EDT
Fixed Version

Spec: http://cheekyboinc.spielen-unter-linux.de/biniax.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/biniax-1.2-2.fc10.src.rpm

To your last point:

I cant reproduce that on Fedora 8 (x86), Fedora 9 (ppc) and Rawhide (x86).
Biniax exit without problems.

Thanks to Robert for the patch!
Comment 8 Fabian Affolter 2008-10-25 15:11:34 EDT
Just a small comment on your spec file.

'desktop-file-install --vendor="fedora" \' is obsolete for new packages.

see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
Comment 9 Stefan Posdzich 2008-10-25 15:37:58 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/biniax.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/biniax-1.2-4.fc10.src.rpm

- Add datadir prefix, snd.patch and gfx.patch
- Remove obsolete desktop-file-install --vendor="fedora"
Comment 10 Simon 2008-10-25 15:48:02 EDT
This "MUST"-Checklist is from:
https://fedoraproject.org/wiki/Packaging/ReviewGuidelines
---------------------------------------------------------

MUST Items:
- MUST: rpmlint must be run on every package. The output should be posted in the review.
+ rpmlint is silence

- MUST: The package must be named according to the Package Naming Guidelines .
+ OK

- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
+ OK

- MUST: The package must meet the Packaging Guidelines .
+ OK

- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
+ OK

- MUST: The License field in the package spec file must match the actual license.
+ OK

- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ OK

- MUST: The spec file must be written in American English.
+ OK

- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
+ OK

- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
+ OK
No md5sum list on homepage of biniax
12bca4b9b8354519edbdf89faa3c328b  biniax-src.zip cassmodiah
12bca4b9b8354519edbdf89faa3c328b  biniax-src.zip CheekyBoinc

- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
+ OK

- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64
+ OK -> short run-test on x86 (cassmodiah)
/ N/A -> no run-test on x64
+ OK ->  no run-test on ppc  (cheekyboinc)
/ N/A -> no run-test on ppc64
+OK build on all architectures http://koji.fedoraproject.org/koji/taskinfo?taskID=903139

- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+OK

- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
/ N/A

- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is:
/ N/A

- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
+ OK

- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.
+ OK

- MUST: A package must not contain any duplicate files in the %files listing.
+ OK

- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
+ OK

- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
+ OK

- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
+ OK

- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .
+ OK

- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)
/ N/A

- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
/ N/A

- MUST: Header files must be in a -devel package.
/ N/A

- MUST: Static libraries must be in a -static package.
/ N/A

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
/ N/A

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
/ N/A

- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
/ N/A

- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
/ N/A

- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+ OK

- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+OK

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
+ OK

- MUST: All filenames in rpm packages must be valid UTF-8.
+ OK

--------------------------------------------------

--------------------------------------------------

LAST BUT NOT LEAST:
   +-------------------+
   |                   |
   |  BINIAX APPROVED  |
   |                   |
   +-------------------+
Thanks all!
Comment 11 Stefan Posdzich 2008-10-25 16:17:49 EDT
New Package CVS Request
=======================
Package Name: biniax
Short Description: a unique arcade logic game
Owners: cheekyboinc
Branches: F-8 F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 12 Stefan Posdzich 2008-10-25 16:27:32 EDT
No need for early F-10 so....

New Package CVS Request
=======================
Package Name: biniax
Short Description: a unique arcade logic game
Owners: cheekyboinc
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 13 Dennis Gilmore 2008-10-27 00:16:28 EDT
CVS Done
Comment 14 Christoph Wickert 2008-12-11 14:23:06 EST
I think there is something that needs to fixed in the spec:

> Patch0:	%{name}-%{version}-gfx.patch
> Patch1:	%{name}-%{version}-snd.patch
> Patch2:	%{name}-%{version}-save.patch
> Patch3:	%{name}-%{version}-optflags.patch

This does not work, because during an update you will have to rename all the patches. This also means removing and re-adding them from/to cvs. If the names of the patches are changed one does not get the diff in the commit. 

So it needs to be:
Patch0:		%{name}-1.2-gfx.patch
...

The version in the patch name is always the version where the patch was added but not the version of the package itself.


> Requires:	hicolor-icon-theme

This should IMO be removed. Without the icon-theme there is no icon in the desktop file, but this does no real harm. hicolor-icon-theme is installed as soon as gtk2 gets installed. In the very unlikely case that somebody really does not have gtk2, he most likely doesn't have a menu ether or at least not menu that shows icons (think of openbox or fluxbox for example).

Nevertheless none of these issues is really important enough to justify an update, fixing in CVS is sufficient.
Comment 15 Stefan Posdzich 2008-12-12 04:45:32 EST
> This does not work, because during an update you will have to rename all the
> patches. This also means removing and re-adding them from/to cvs. If the names 
> of the patches are changed one does not get the diff in the commit.

Thanks for your reply Christoph! I will fix it in our cvs....

Note You need to log in before you can comment on or make changes to this bug.